// (c) 1999 - 2024 OneSpan North America Inc. All rights reserved.


/////////////////////////////////////////////////////////////////////////////
//
//
// This file is example source code. It is provided for your information and
// assistance. See your licence agreement for details and the terms and
// conditions of the licence which governs the use of the source code. By using
// such source code you will be accepting these terms and conditions. If you do
// not wish to accept these terms and conditions, DO NOT OPEN THE FILE OR USE
// THE SOURCE CODE.
//
// Note that there is NO WARRANTY.
//
//////////////////////////////////////////////////////////////////////////////


import Foundation

enum Constants {
    enum CellIdentifiers {
        static let registerCell = "RegisterCellId"
        static let selectUser   = "SelectUserCellId"
        static let actionCell   = "ActionCellId"
    }
    
    enum Segues {
        static let goToRegistrationSegue = "GotoRegistrationSegue"
        static let goToGetInfoSegue = "GotoGetInfoSegue"
        static let goToLocalTransactionSegue = "GotoLocalTransactionSegue"
        static let goToLocalAuthSegue = "GotoLocalAuthSegue"
        static let goToRemoteSegue = "GotoRemoteSegue"
        static let goToChangePasswordSegue = "GotoChangePasswordSegue"
        static let gotoCDDCMessage = "GotoCDDCMessage"
    }
    
    enum Transactions {
        static let maxSizeForFieldInTransaction = 16
    }
}
